<?php
//phpcs:disable Magento2.Templates.ThisInTemplate.FoundThis
?>
<?php /** @var $block \Magento\Shipping\Block\Adminhtml\View */ ?>
<?php $order = $block->getOrder() ?>
<?php if ($order->getIsVirtual()) :
    return '';
endif; ?>
<?php /** @var \Xcoding\Inpost\Helper\Data $helper */
$helper = $this->helper(\Xcoding\Inpost\Helper\Data::class);
/** @var \Xcoding\InStorePickup\Helper\Data $storePickupHelper */
$storePickupHelper = $this->helper(\Xcoding\InStorePickup\Helper\Data::class); ?>

<?php /* Shipping Method */ ?>
<div class="admin__page-section-item order-shipping-method">
    <div class="admin__page-section-item-title">
        <span class="title"><?= $block->escapeHtml(__('Shipping &amp; Handling Information')) ?></span>
    </div>
    <div class="admin__page-section-item-content">
        <?php  if ($order->getTracksCollection()->count()) : ?>
            <p><a href="#" id="linkId" onclick="popWin('<?= $block->escapeJs($block->escapeUrl($this->helper(Magento\Shipping\Helper\Data::class)->getTrackingPopupUrlBySalesModel($order))) ?>','trackorder','width=800,height=600,resizable=yes,scrollbars=yes')" title="<?= $block->escapeHtmlAttr(__('Track Order')) ?>"><?= $block->escapeHtml(__('Track Order')) ?></a></p>
        <?php endif; ?>
        <?php if ($order->getShippingDescription()) : ?>
            <strong><?= $block->escapeHtml($order->getShippingDescription()) ?></strong>

            <?php if ($this->helper(Magento\Tax\Helper\Data::class)->displayShippingPriceIncludingTax()) : ?>
                <?php $_excl = $block->displayShippingPriceInclTax($order); ?>
            <?php else : ?>
                <?php $_excl = $block->displayPriceAttribute('shipping_amount', false, ' '); ?>
            <?php endif; ?>
            <?php $_incl = $block->displayShippingPriceInclTax($order); ?>

            <?= /** @noEscape */ $_excl ?>
            <?php if ($this->helper(Magento\Tax\Helper\Data::class)->displayShippingBothPrices()
                && $_incl != $_excl) : ?>
                (<?= $block->escapeHtml(__('Incl. Tax')) ?> <?= /** @noEscape */ $_incl ?>)
            <?php endif; ?>
        <?php else : ?>
            <?= $block->escapeHtml(__('No shipping information available')) ?>
        <?php endif; ?>
        <?php  if ($order->getInpostMachineId()) : ?>
            <br><strong><?= __('InPost pickup point'); ?>: <?= $order->getInpostMachineId(); ?></strong>
            <?php if ($order->getInpostMachineInfo()): ?>
                <br><?= $helper->renderMachineAddress($order->getInpostMachineInfo()); ?>
            <?php endif; ?>
        <?php endif; ?>
        <?php  if ($order->getData('instorepickup_store_code')) : ?>
            <br><strong><?= __('Pickup point'); ?>: <?= $order->getData('instorepickup_store_code'); ?></strong>
            <?php if ($order->getData('instorepickup_store_info')): ?>
                <br><?= $storePickupHelper->renderPickupAddress($order->getData('instorepickup_store_info')); ?>
            <?php endif; ?>
        <?php endif; ?>
    </div>
</div>
